summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Grapentin <andreas@grapentin.org>2018-03-31 10:46:46 +0200
committerAndreas Grapentin <andreas@grapentin.org>2018-03-31 10:46:46 +0200
commit9be2e5ec7b5b816d0c9c1c56f15384db6a28a403 (patch)
treecc69ecf07bdb09a196d440b5085d3bf66b76cefb
parent7d0a8632714b131001c58e36dbb23e488b8a5251 (diff)
fixed issues in stage1
-rwxr-xr-xsrc/stage1/stage1.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/stage1/stage1.sh b/src/stage1/stage1.sh
index 2bf3bc5..81ea904 100755
--- a/src/stage1/stage1.sh
+++ b/src/stage1/stage1.sh
@@ -49,7 +49,7 @@ check_cross_toolchain() {
stage1_makepkg() {
# produce pkgfiles
- for f in "$SRCDIR"/toolchain-pkgbuilds/$pkg/*.in; do
+ for f in "$SRCDIR"/toolchain-pkgbuilds/$1/*.in; do
sed "s#@CHOST@#$CHOST#g; \
s#@CARCH@#$CARCH#g; \
s#@LINUX_ARCH@#$LINUX_ARCH#g; \
@@ -63,7 +63,7 @@ stage1_makepkg() {
"$f" > ./"$(basename "${f%.in}")"
done
- import_keys || return
+ package_import_keys "$1" || return
runas "$SUDO_USER" makepkg -LC --config "$BUILDDIR"/makepkg.conf || return
}